DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# BinaryImageToPixelTable

Convert a binary image to a pixel table

## SYNOPSIS

`#include "dip_pixel_table.h"`

dip_Error dip_BinaryImageToPixelTable ( im, table, resources)

## DATA TYPES

binary

## FUNCTION

This functions converts a binary image to a new allocated pixel table `table`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `im` | Binary image
`dip_PixelTable *` | `table` | Pixel table
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

Description of DIPlib's pixel tables

`PixelTableToBinaryImage`, `PixelTableCreateFilter`

DIPlib on-line documentation | Function reference | Global function index